Resync the team from its integrations now
curl --request POST \
--url https://api.scribe-mail.com/v1/integrations/sync \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scribe-mail.com/v1/integrations/sync"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scribe-mail.com/v1/integrations/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.scribe-mail.com/v1/integrations/sync",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.scribe-mail.com/v1/integrations/sync"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.scribe-mail.com/v1/integrations/sync")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.scribe-mail.com/v1/integrations/sync")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"integration_id": "<string>",
"integration_name": "<string>",
"category": "teammates",
"status": "running",
"started_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"remediation": {
"action": "connect_integration",
"dashboard_url": "<string>",
"message": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"remediation": {
"action": "connect_integration",
"dashboard_url": "<string>",
"message": "<string>"
}
}Integrations
Resync the team from its integrations now
POST
/
v1
/
integrations
/
sync
Resync the team from its integrations now
curl --request POST \
--url https://api.scribe-mail.com/v1/integrations/sync \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scribe-mail.com/v1/integrations/sync"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scribe-mail.com/v1/integrations/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.scribe-mail.com/v1/integrations/sync",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.scribe-mail.com/v1/integrations/sync"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.scribe-mail.com/v1/integrations/sync")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.scribe-mail.com/v1/integrations/sync")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"integration_id": "<string>",
"integration_name": "<string>",
"category": "teammates",
"status": "running",
"started_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"remediation": {
"action": "connect_integration",
"dashboard_url": "<string>",
"message": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"remediation": {
"action": "connect_integration",
"dashboard_url": "<string>",
"message": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
One sync already running
The syncs just started, one per activated teammates or smart fields integration, each a background task. They run in the background: teammates, groups, values and signatures update as each ends. Integrations whose sync already runs, or that lost their access, are not in it.
Show child attributes
Show child attributes
Was this page helpful?